Debian Bug report logs - #712159
ITP: r-cran-rjsonio -- GNU R package "RJSONIO: Serialize R objects to JSON"

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Pablo Oliveira <pablo@sifflez.org>

Date: Thu, 13 Jun 2013 16:21:01 UTC

Owned by: Pablo Oliveira <pablo@sifflez.org>

Severity: wishlist

Done: pablo@sifflez.org

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-science@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#712159; Package wnpp. (Thu, 13 Jun 2013 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Oliveira <pablo@sifflez.org>:
New Bug report received and forwarded. Copy sent to debian-science@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 13 Jun 2013 16:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pablo Oliveira <pablo@sifflez.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: r-cran-rjsonio -- GNU R package "RJSONIO: Serialize R objects to JSON"
Date: Thu, 13 Jun 2013 18:05:50 +0200
Package: wnpp
Severity: wishlist
Owner: Pablo Oliveira <pablo@sifflez.org>

* Package name    : r-cran-rjsonio
  Version         : 1.0-3 
  Upstream Author : Duncan Temple Lang <duncan at r-project.org>
* URL             : http://cran.r-project.org/web/packages/RJSONIO/
* License         : BSD 
  Programming Lang: C, R 
  Description     : GNU R package "RJSONIO: Serialize R objects to JSON"

This is a package that allows conversion to and from data in Javascript object
notation (JSON) format. This allows R objects to be inserted into
Javascript/ECMAScript/ActionScript code and allows R programmers to read and
convert JSON content to R objects. This is an alternative to rjson package.
This package uses methods, vectorized operations and C code and callbacks to R
functions for deserializing JSON objects to R. Version 0.4 of this package uses
a new native parser, implements the transformation code in C and allocates
memory efficiently (rather than concatenating because of event driven parsing).
The result is a significantly faster parsing of large JSON documents.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pablo Oliveira <pablo@sifflez.org>:
Bug#712159; Package wnpp. (Thu, 13 Jun 2013 17:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pablo Oliveira <pablo@sifflez.org>. (Thu, 13 Jun 2013 17:54:07 GMT) Full text and rfc822 format available.

Message #10 received at 712159@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Pablo Oliveira <pablo@sifflez.org>
Cc: 712159@bugs.debian.org
Subject: Re: Bug#712159: ITP: r-cran-rjsonio -- GNU R package "RJSONIO: Serialize R objects to JSON"
Date: Thu, 13 Jun 2013 19:51:51 +0200
[Message part 1 (text/plain, inline)]
Le 13 juin 2013 18:21, "Pablo Oliveira" <pablo@sifflez.org> a écrit :
>
> Package: wnpp
> Severity: wishlist
> Owner: Pablo Oliveira <pablo@sifflez.org>
>
> * Package name    : r-cran-rjsonio
>   Version         : 1.0-3
>   Upstream Author : Duncan Temple Lang <duncan at r-project.org>
> * URL             : http://cran.r-project.org/web/packages/RJSONIO/
> * License         : B

Not BSD : BSD + évil clause

Please do not package as is

Bastien
>   Programming Lang: C, R
>   Description     : GNU R package "RJSONIO: Serialize R objects to JSON"
>
>
This is a package that allows conversion to and from data in Javascript object
> notation (JSON) format. This allows R objects to be inserted into
>
Javascript/ECMAScript/ActionScript code and allows R programmers to read and
>
convert JSON content to R objects. This is an alternative to rjson package.
>
This package uses methods, vectorized operations and C code and callbacks to R
>
functions for deserializing JSON objects to R. Version 0.4 of this package uses
> a new native parser, implements the transformation code in C and allocates
>
memory efficiently (rather than concatenating because of event driven parsing).
> The result is a significantly faster parsing of large JSON documents.
>
>
> --
> To UNSUBSCRIBE, email to debian-science-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
listmaster@lists.debian.org
> Archive:
http://lists.debian.org/20130613160550.17794.4406.reportbug@tahiti.prism.uvsq.fr
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#712159; Package wnpp. (Fri, 14 Jun 2013 08:19:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Oliveira <pablo@sifflez.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 14 Jun 2013 08:19:18 GMT) Full text and rfc822 format available.

Message #15 received at 712159@bugs.debian.org (full text, mbox):

From: Pablo Oliveira <pablo@sifflez.org>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>
Cc: 712159@bugs.debian.org, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: Bug#712159: ITP: r-cran-rjsonio -- GNU R package "RJSONIO: Serialize R objects to JSON"
Date: Fri, 14 Jun 2013 09:36:07 +0200
[Message part 1 (text/plain, inline)]
Hi Bastien,

On Thu, Jun 13, 2013 at 7:51 PM, Bastien ROUCARIES <
roucaries.bastien@gmail.com> wrote:

> Le 13 juin 2013 18:21, "Pablo Oliveira" <pablo@sifflez.org> a écrit :
> [...]
> > * License         : B
>
> Not BSD : BSD + évil clause
>
> Please do not package as is
>
I'm not sure to understand the problem.
If I'm not mistaken, the upstream project page
http://cran.r-project.org/web/packages/RJSONIO/index.html points to the
BSD 3 clause license.

The BSD 3 clause license seems to be ok in Debian, cf.
http://wiki.debian.org/DFSGLicenses#The_3-clause_BSD_License.

Could you please be more specific about the license problem here ?

Thanks :)

Pablo
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 21 Jun 2013 20:15:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pablo Oliveira <pablo@sifflez.org>:
Bug#712159; Package wnpp. (Sun, 30 Jun 2013 22:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pablo Oliveira <pablo@sifflez.org>. (Sun, 30 Jun 2013 22:30:04 GMT) Full text and rfc822 format available.

Message #22 received at 712159@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Pablo Oliveira <pablo@sifflez.org>, 712159@bugs.debian.org
Cc: Bastien ROUCARIES <roucaries.bastien@gmail.com>, Sylvestre Ledru <sylvestre@debian.org>, ftpmaster@ftp-master.debian.org
Subject: Re: Bug#712159: ITP: r-cran-rjsonio -- GNU R package "RJSONIO: Serialize R objects to JSON"
Date: Mon, 01 Jul 2013 00:27:25 +0200
[Message part 1 (text/plain, inline)]
Le vendredi 14 juin 2013 à 09:36 +0200, Pablo Oliveira a écrit :

> On Thu, Jun 13, 2013 at 7:51 PM, Bastien ROUCARIES
> <roucaries.bastien@gmail.com> wrote:
>         Le 13 juin 2013 18:21, "Pablo Oliveira" <pablo@sifflez.org> a
>         écrit :
>         
>         [...]
>         > * License         : B
>         Not BSD : BSD + évil clause
>         
>         Please do not package as is
>         
> I'm not sure to understand the problem. 

The problem is the following clause in src/JSON_parser.c:

 The Software shall be used for Good, not Evil.

This makes the software nonfree, and it should therefore be rejected by
ftpmasters. See [1] and [2] for discussions of this problem.

I also encountered this issue when trying to package "WDI" from CRAN,
which depends on RJSONIO. As a workaround, I am going to package
"rjson", which also does the job (but is slower, and has a slightly
different API which therefore implies to patch on WDI).

Ideally RJSONIO should be fixed by (1) repackaging the tarball without
JSON_parser.{c,h} and (2) providing equivalent functionality with a
patch. Unfortunately I don’t have the time and skills to do that.

Cheers,

[1] https://lists.debian.org/debian-legal/2010/03/msg00064.html
[2] https://lists.debian.org/debian-devel/2012/11/msg00168.html

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#712159; Package wnpp. (Fri, 12 Jul 2013 14:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Oliveira <pablo@sifflez.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 12 Jul 2013 14:00:04 GMT) Full text and rfc822 format available.

Message #27 received at 712159@bugs.debian.org (full text, mbox):

From: Pablo Oliveira <pablo@sifflez.org>
To: Sébastien Villemot <sebastien@debian.org>, 712159@bugs.debian.org
Cc: Bastien ROUCARIES <roucaries.bastien@gmail.com>, Sylvestre Ledru <sylvestre@debian.org>, ftpmaster@ftp-master.debian.org
Subject: Re: Bug#712159: ITP: r-cran-rjsonio -- GNU R package "RJSONIO: Serialize R objects to JSON"
Date: Fri, 12 Jul 2013 15:57:01 +0200
Dear Sebastien,

On Mon, 01 Jul 2013 00:27:25 +0200, Sébastien Villemot wrote:
> Le vendredi 14 juin 2013 à 09:36 +0200, Pablo Oliveira a écrit :
>
>> On Thu, Jun 13, 2013 at 7:51 PM, Bastien ROUCARIES
>> <roucaries.bastien@gmail.com> wrote:
>>         Le 13 juin 2013 18:21, "Pablo Oliveira" <pablo@sifflez.org> a
>>         écrit :
>>
>>         [...]
>>         > * License         : B
>>         Not BSD : BSD + évil clause
>>
>>         Please do not package as is
>>
>> I'm not sure to understand the problem.
>
> The problem is the following clause in src/JSON_parser.c:
>
>  The Software shall be used for Good, not Evil.
>
> This makes the software nonfree, and it should therefore be rejected by
> ftpmasters. See [1] and [2] for discussions of this problem.

Thanks a lot for clarifying the legal issue.

> I also encountered this issue when trying to package "WDI" from CRAN,
> which depends on RJSONIO. As a workaround, I am going to package
> "rjson", which also does the job (but is slower, and has a slightly
> different API which therefore implies to patch on WDI).

Great, rjson is a slower, but functionally close alternative.
Thanks a lot for packaging it!

> Ideally RJSONIO should be fixed by (1) repackaging the tarball without
> JSON_parser.{c,h} and (2) providing equivalent functionality with a
> patch. Unfortunately I don’t have the time and skills to do that.

I'm currently on vacations until the 22 july. I will have a look at my
return from vacation.

Thanks,

Pablo



Reply sent to pablo@sifflez.org:
You have taken responsibility. (Tue, 03 Sep 2013 22:15:10 GMT) Full text and rfc822 format available.

Notification sent to Pablo Oliveira <pablo@sifflez.org>:
Bug acknowledged by developer. (Tue, 03 Sep 2013 22:15:10 GMT) Full text and rfc822 format available.

Message #32 received at 712159-done@bugs.debian.org (full text, mbox):

From: pablo@sifflez.org
To: <712159-done@bugs.debian.org>
Subject: Re: Bug#712159: ITP: r-cran-rjsonio -- GNU R package "RJSONIO: Serialize R objects to JSON"
Date: Wed, 04 Sep 2013 00:05:54 +0200
Tags: wontfix

On Mon, 01 Jul 2013 00:27:25 +0200, Sébastien Villemot wrote:
> [...]
> Ideally RJSONIO should be fixed by (1) repackaging the tarball 
> without
> JSON_parser.{c,h} and (2) providing equivalent functionality with a
> patch. Unfortunately I don’t have the time and skills to do that.

Replacing JSON_parser.{c,h} is hard work, and unnecessary now that 
r-cran-rjson (ITP #714611) has been packaged. Therefore, I'm closing 
this ITP.

Thanks,

Pablo







Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Oct 2013 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:07:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.